# Generated by Django 3.2.7 on 2024-04-17 11:49

from django.db import migrations, models

def positive_unites_commandees(apps, schema_editor):
    InscriptionAdherent = apps.get_model('gaia_distribs', 'InscriptionAdherent')
    InscriptionAdherent.objects.filter(unites_commandees__lt=0).update(unites_commandees=0)

class Migration(migrations.Migration):

    dependencies = [
        ('gaia_distribs', '0010_auto_20240415_1715'),
    ]

    operations = [
        migrations.RunPython(positive_unites_commandees, migrations.RunPython.noop),
        migrations.AlterField(
            model_name='inscriptionadherent',
            name='unites_commandees',
            field=models.PositiveIntegerField(),
        ),
    ]
